endpoint <- api_endpoint("/mojeid_accounts_nia_since_midnight",
  type = "eq.person"
)

nia_live <- fromJSON(endpoint) %>%
  mutate(ts = as_datetime(ts, tz = "Europe/Prague"))
number <- fromJSON(endpoint)$count

update_int <- 300

valueBoxAutoupdated(
  ifelse(number < 0, 0, number),
  caption = details(
    gettext("today's increase in NIA identities"),
    paste(
      gettext("Increase in the number of NIA identities since last midnight (CET);"), # nolint long string
      sprintf(gettext("updated every %d seconds."), update_int)
    )
  ),
  autoupdate_url = endpoint,
  autoupdate_field = "count",
  autoupdate_interval = update_int,
  autoupdate_min_value = 0
)
