endpoint <- api_endpoint("/mojeid_accounts_nia_live_latest",
  ts = get_ts(days, 1),
  type = "eq.person"
)
update_int <- 300

mojeid_nia_accounts <-
  fromJSON(endpoint) %>%
  mutate(ts = as_datetime(ts, tz = "Europe/Prague"))

valueBoxAutoupdated(
  prettyNum(mojeid_nia_accounts$count, big.mark = " "),
  caption = details(
    gettext("NIA identities"),
    paste0(
      gettext("Number of unique personal identities paired with"),
      " <a href='https://www.identitaobcana.cz/' target='_blank'>",
      gettext("National Identity Authority"),
      "</a>; ",
      sprintf(gettext("updated every %d seconds."), update_int)
    )
  ),
  autoupdate_url = endpoint,
  autoupdate_field = "count",
  autoupdate_interval = update_int,
  color = dashboard_colors[2]
)
