domains_cz <- fromJSON(api_endpoint("/fred_domains_by_kraj_latest",
  zone = "eq.cz"
))

df_domains_cz_no_praha <- domains_cz %>%
  filter(kraj != "Hlavní město Praha")

df_domains_praha <- domains_cz %>%
  filter(kraj == "Hlavní město Praha")


htmltools::attachDependencies(
  htmltools::div(), html_dependency_sparkline()
)

options(knitr.kable.NA = gettext("Unknown"))

domains_cz %>%
  mutate(domains_bar = color_bar(dashboard_colors[1])(domains)) %>%
  select(kraj, domains, domains_bar) %>%
  arrange(desc(domains)) %>%
  kable(
    "html",
    format.args = list(big.mark = "&#8239;", decimal.mark = ","),
    col.names = c(
      gettext("Region"), gettext("Domains"),
      ""
    ),
    escape = FALSE,
    align = c("c", "r", "l")
  ) %>%
  column_spec(1, width = "5cm") %>%
  column_spec(2, width = "5cm") %>%
  column_spec(3, color = "transparent", width = "12cm") %>%
  kable_styling(
    bootstrap_options = c("striped", "hover", "condensed", "responsive"),
    full_width = FALSE,
    position = "left"
  )
