endpoint <- api_endpoint("/cz_qps_total_1h", ts = get_ts(days, 5))

qps_per_day <- fromJSON(endpoint) %>%
  mutate(ts = as.Date(ts)) %>%
  filter(ts == max(ts)) %>%
  summarise(mean_qps = round(mean(qps), 0))

valueBox(prettyNum(qps_per_day, big.mark = " "),
  caption = details(
    gettext("queries per second"),
    gettext("Average number of queries per second handled by authoritative DNS servers for CZ during the previous day.") # nolint long string
  )
)
