total_dnssec <- fromJSON(api_endpoint("/fred_dnssec_domains",
  zone = "eq.cz"
)) %>%
  group_by(ts) %>%
  summarise(dnssec_domains = sum(domains)) %>%
  mutate(ts = as.Date(ts))
total_dom <- fromJSON(api_endpoint("/fred_domains", zone = "eq.cz")) %>%
  group_by(ts) %>%
  summarise(domains = sum(domains)) %>%
  mutate(ts = as.Date(ts)) %>%
  inner_join(total_dnssec, by = c("ts"))
plot_ly(total_dom,
  x = ~ts,
  y = ~domains,
  type = "scatter",
  name = gettext("Domains"),
  mode = "lines",
  line = list(color = dashboard_colors[1]),
  hovertemplate = paste0(
    "<b>", gettext("Date"), "</b>: %{x}<br><b>",
    gettext("Count"), "</b>: %{y}"
  )
) %>%
  add_trace(
    y = ~dnssec_domains,
    name = gettext("DNSSEC domains"),
    mode = "lines",
    line = list(color = dashboard_colors[3]),
    hovertemplate = paste0(
      "<b>", gettext("Date"), "</b>: %{x}<br><b>",
      gettext("Count"), "</b>: %{y}"
    )
  ) %>%
  config(displayModeBar = FALSE, locale = locale_lang_code()) %>%
  layout(
    xaxis = list(title = gettext("Date")),
    yaxis = list(title = gettext("Number of domains"))
  )
