df_auctioned_domains <-
  fromJSONwithToken(api_endpoint("/auctions_auctions_summary"))

df_auctioned_domains <- df_auctioned_domains |>
  select(date, auctioned) |>
  mutate(date = as.Date(date)) |>
  filter(date >= Sys.Date() - 30) |>
  arrange(date)

plot_ly(
  name = gettext("Auctioned domains"),
  type = "bar",
  x = ~date,
  y = ~auctioned,
  data = df_auctioned_domains,
  hovertemplate = ~ paste0(
    "<b>", gettext("Domains"),
    "</b>: ", auctioned, "<extra></extra>"
  ),
  marker = list(color = dashboard_colors[1])
) |>
  layout(
    hovermode = "x unified",
    xaxis = list(
      title = gettext("Date"),
      ticks = "outside"
    ),
    yaxis = list(title = gettext("Number of domains"))
  ) |>
  config(
    displayModeBar = TRUE,
    locale = locale_lang_code()
  )
