df_bidders <-
  fromJSONwithToken(api_endpoint("/auctions_bidders"))

df_bidders <- df_bidders |>
  select(date, total) |>
  mutate(date = as.Date(date)) |>
  filter(date >= Sys.Date() - 30) |>
  arrange(date)

plot_ly(
  name = gettext("Bidders"),
  type = "bar",
  x = ~date,
  y = ~total,
  data = df_bidders,
  marker = list(color = dashboard_colors[1]),
  hovertemplate = ~ paste0(
    "<b>", gettext("Number of bidders"),
    "</b>: ", total, "<extra></extra>"
  )
) |>
  layout(
    hovermode = "x unified",
    xaxis = list(
      title = gettext("Date"),
      ticks = "outside"
    ),
    yaxis = list(title = gettext("Number of bidders"))
  ) |>
  config(
    displayModeBar = TRUE,
    locale = locale_lang_code()
  )
