df_bidders <-
  fromJSONwithToken(api_endpoint("/auctions_bidders_1y"))

df_bidders <- df_bidders |>
  select(date, total) |>
  mutate(date = as.Date(date)) |>
  arrange(date)

df_bidders <- df_bidders |>
  mutate(
    year = year(date)
  ) |>
  group_by(year) |>
  reframe(
    total = sum(total)
  ) |>
  ungroup() |>
  distinct()

plot_ly(
  name = gettext("Number of bidders"),
  type = "bar",
  x = ~year,
  y = ~total,
  data = df_bidders,
  marker = list(color = dashboard_colors[1]),
  hovertemplate = paste0(
    "<b>", gettext("Number of bidders"), "</b>: %{y}<extra></extra>"
  )
) |>
  layout(
    hovermode = "x unified",
    xaxis = list(
      title = gettext("Year"),
      fixedrange = TRUE,
      dtick = 1
    ),
    yaxis = list(title = gettext("Number of bidders"))
  ) |>
  config(
    displayModeBar = TRUE,
    locale = locale_lang_code()
  ) |>
  htmlwidgets::onRender(add_csv_button_local())
