df_prolonged <-
  fromJSONwithToken(api_endpoint("/auctions_auctions_summary")) |>
  mutate(date = as.Date(date)) |>
  select(date, prolonged) |>
  arrange(date)

df_prolonged <- df_prolonged |>
  select(date, prolonged) |>
  mutate(date = as.Date(date)) |>
  arrange(date)

df_prolonged <- df_prolonged |>
  mutate(
    year = year(date)
  ) |>
  group_by(year) |>
  reframe(
    prolonged = sum(prolonged)
  ) |>
  ungroup() |>
  distinct()

plot_ly(
  name = gettext("Number of auctions"),
  type = "bar",
  x = ~year,
  y = ~prolonged,
  data = df_prolonged,
  marker = list(color = dashboard_colors[1]),
  hovertemplate = paste0(
    "<b>", gettext("Number of auctions"), "</b>: %{y}<extra></extra>"
  )
) |>
  layout(
    hovermode = "x unified",
    xaxis = list(
      title = gettext("Year"),
      fixedrange = TRUE,
      dtick = 1
    ),
    yaxis = list(title = gettext("Number of auctions"))
  ) |>
  config(
    displayModeBar = TRUE,
    locale = locale_lang_code()
  ) |>
  htmlwidgets::onRender(add_csv_button_local())
