df_top_bids <-
  fromJSONwithToken(api_endpoint("/auctions_top20_bids_num_730d")) |>
  select(name, num_bids, price) |>
  arrange(desc(num_bids)) |>
  rename("domain" = name,
         "bid" = num_bids)

df_top_prices <-
  fromJSONwithToken(api_endpoint("/auctions_top20_price_730d")) |>
  select(name, num_bids, price) |>
  arrange(desc(price)) |>
  rename("domain" = name,
         "bid" = num_bids)

bids_json <- df_top_bids |>
  arrange(desc(bid)) |>
  toJSON(pretty = TRUE, na = "null")

prices_json <- df_top_prices |>
  arrange(desc(price)) |>
  toJSON(pretty = TRUE, na = "null")

combined_json <- list(
  top_20_bids_730days = fromJSON(bids_json),
  top_20_prices_730days = fromJSON(prices_json)
)

# Convert to final JSON format
final_json <- toJSON(combined_json, pretty = TRUE)

write(final_json,
      "../images/auctions_last730days_top_price_and_bids_20_table.json")
