df_top_20 <-
  fromJSONwithToken(api_endpoint("/auctions_top_auctions")) |>
  mutate(date = as.Date(date)) |>
  filter(date >= Sys.Date() - 30) |>
  arrange(desc(price), name) |>
  head(20)

df_top_20 |>
  kable(
    "html",
    table.attr = "class='dtable'",
    escape = FALSE,
    align = c("l", "l", "l"),
    format.args = list(big.mark = " "),
    col.names = c(
      gettext("Date"),
      gettext("Domain"),
      paste0(
        gettext("Auctioned sum"), " (", gettext("Kč"), ")"
      )
    )
  ) |>
  kable_styling(
    font_size = 13,
    bootstrap_options = c("striped", "hover", "condensed", "responsive"),
    full_width = TRUE,
    position = "float_left"
  ) |>
  row_spec(row = 20, extra_css = "border-bottom: 1px solid #D3D3D3;")
