df_top_20 <-
  fromJSONwithToken(api_endpoint("/auctions_top_auctions")) |>
  mutate(date = as.Date(date)) |>
  filter(date >= Sys.Date() - 30) |>
  arrange(desc(price)) |>
  head(20) |>
  rename("domain" = name) |>
  select(domain, price)

auctions_top_20_table <- toJSON(df_top_20, pretty = TRUE)
write(auctions_top_20_table, "../images/auctions_top_20_table.json")
